import { Input } from '@/components/ui/input'
import { ChevronLeft } from 'lucide-react'
import React from 'react'
import {DropdownMenu, DropdownMenuContent, DropdownMenuItem, DropdownMenuLabel, DropdownMenuSeparator, DropdownMenuTrigger,} from "@/components/ui/dropdown-menu"
import LocationOption from '@/app/_utils/LocationOption'
import Image from 'next/image'

const MeetingForm = () => {
    
  return (
    <div className='px-5 lg:px-10 py-10'>
        <p className='flex gap-1 text-red-500 hover:text-red-600'><ChevronLeft/>Go back</p>
        <div className='mt-5'>
            <p className='text-xl font-semibold mb-2'>Create New Event</p><hr/>
        </div>
        <div className='flex flex-col gap-2'>
            <p className='font-semibold mt-5'>Event Name <span className='text-red-500'>*</span></p>
            <Input placeholder="Enter your event/meeting name" className='text-sm'/>
            <p className='font-semibold'>Meeting Length <span className='text-red-500'>*</span></p>
            <DropdownMenu>
                <DropdownMenuTrigger asChild className='outline-none'>
                    <button className='max-w-20 border rounded-md px-2 py-2 text-sm'>Select</button>
                </DropdownMenuTrigger>
                <DropdownMenuContent>
                    <DropdownMenuItem>15 minutes</DropdownMenuItem>
                    <DropdownMenuItem>30 minutes</DropdownMenuItem>
                    <DropdownMenuItem>45 minutes</DropdownMenuItem>
                    <DropdownMenuItem>60 minutes</DropdownMenuItem>
                </DropdownMenuContent>
            </DropdownMenu>
            <p className='font-semibold'>Location <span className='text-red-500'>*</span></p>
            <div className='grid grid-cols-4 gap-2'>
                {LocationOption.map((option, index) => (
                    <div className='border rounded-md flex flex-col justify-center items-center text-center p-2 hover:bg-gray-200 cursor-pointer'>
                        <Image src={option.icon} width={20} height={20} alt={option.name}/>
                        <p className='text-xs mt-2 font-semibold'>{option.name}</p>
                    </div>
                ))}
            </div>
            <p className='font-semibold'>Add url</p>
            <Input placeholder='Add url' className='text-sm'/>
        </div>
    </div>
  )
}

export default MeetingForm